Subject: Re: Why is --graph --max-count=n so much slower than --graph HEAD~n..?

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 May 2014 15:50:43 -0700

Mitchel Humpherys <[email-masked]> writes:

> I've noticed that --max-count doesn't seem to speed up `git log --graph'
> computation time.

AFAIK, --graph wants to compute the whole history and the max-count
only affects the output phase after --graph does its computation.

Besides, "log --max-count=n" and "log HEAD~n.." compute completely
different things, so the comparison is apples and oranges.